Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font
Class Point

    java.lang.Object
      org.apache.batik.svggen.font.Point

public class Point
extends java.lang.Object

Field Summary
`boolean` | `endOfContour`
`boolean` | `onCurve`
`boolean` | `touched`
`int` | `x`
`int` | `y`

Constructor Summary
`Point(int x, int y, boolean onCurve, boolean endOfContour)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public int x

### y

    public int y

### onCurve

    public boolean onCurve

### endOfContour

    public boolean endOfContour

### touched

    public boolean touched

Constructor Detail

### Point

    public Point(int x,
                 int y,
                 boolean onCurve,
                 boolean endOfContour)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.